import axios from '../api'

export default {
  getBaseData(params) {
    return axios.get('/api/driver/baseData', JSON.stringify(params))
  },
  getDriverList(params) {
    return axios({
      method: "GET",
      url: '/api/driver/driverList',
      params: {
        ...params
      }
    })
  },
  getCityList(){
    return axios({
      method: "GET",
      url: '/api/syscity/getCityList',
      data: {}
    })
  },

  getDriverIndexList(params) {
    return axios({
      method: "GET",
      url: '/api/front/driver/index',
      params: {
        ...params
      }
    })
  },

  getDriverDetail(driverId) {
    return axios({
      method: "GET",
      url: '/api/front/driver/detail',
      params: {
        driverId
      }
    })
  },

  getOneDriverIndexList(params) {
    return axios({
      method: "GET",
      url: '/api/front/driver/list',
      params: {
        ...params
      }
    })
  },

  upload(params) {
    return axios({
      method: "POST",
      url: '/api/front/driver/upload',
      data: params,
      timeout: 1000000,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    })
  },

  describe(params) {
    return axios({
      method: "POST",
      url: '/api/front/driver/describe',
      data: params
    })
  },
}


